document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_22500 | ---
+++
@@ -14,5 +14,5 @@
git ls-files crashstats | xargs check.py | bin/linting.py
echo "Starting tests..."
-FORCE_DB=true manage.py test --noinput
+FORCE_DB=true python manage.py test --noinput
echo "Tests finished." | bash |
d_bash_22501 | ---
+++
@@ -13,7 +13,7 @@
chmod 600 ./secret/id_rsa &&
ssh-add ./secret/id_rsa &&
-git pull origin gh-pages &&
+git pull --no-edit origin gh-pages &&
sbt "set scalaJSStage in js := FullOptStage" indexHtml &&
git rm --ignore-unmatch deploy.sh .travis.yml &&
git add . && | bash |
d_bash_22502 | ---
+++
@@ -2,13 +2,13 @@
GCLOUD_SDK_TARBALL_URL="https://dl.google.com/dl/cloudsdk/channels/rapid/downloads/google-cloud-sdk-354.0.0-darwin-x86_64.tar.gz"
-tmp_file="/tmp/google-cloud-sdk.tar.gz"
-echo "Downloading gcloud into $tmp_file..."
-curl -LsSo "$tmp_file" "$GCLOUD_SDK_TARBALL_URL" &> /dev/null
-tar -zx... | bash |
d_bash_22503 | ---
+++
@@ -13,7 +13,11 @@
exit 0
fi
-vulture \
+VULTURE_SUPPRESSIONS=$(dirname "${BASH_SOURCE[0]}")/lint-python-dead-code-whitelist
+if ! vulture \
--min-confidence 60 \
$(git rev-parse --show-toplevel) \
- $(dirname "${BASH_SOURCE[0]}")/lint-python-dead-code-whitelist
+ "${VULTURE_SUPPRESSIO... | bash |
d_bash_22504 | ---
+++
@@ -13,6 +13,9 @@
return 2
fi
- echo "${content}" | egrep -q "^[A-Za-z]+ .+" &&
- echo "${content}" | cut -d ' ' -f 2-
+ echo "${content}" |
+ egrep -q "^[A-Za-z]+ .+" &&
+ echo "${content}" |
+ cut -d ' ' -f 2- |
+ sed -E 's/ +$//g'... | bash |
d_bash_22505 | ---
+++
@@ -13,16 +13,16 @@
CVMFS_BUILD_LOCATION="$1"
shift 1
+export REBAR_CACHE_DIR=$WORKSPACE
+
# run the build script
echo "switching to $CVMFS_BUILD_LOCATION..."
cd "$CVMFS_BUILD_LOCATION"
-set +e
rebar3 as prod compile
cd _build/prod/lib/syslog
./rebar compile
cd -
rebar3 as prod release,tar
-set -e... | bash |
d_bash_22506 | ---
+++
@@ -13,6 +13,6 @@
echo "i 0"
echo "etc."
echo "Paste this line into the terminal to get it to start sending sensor data:"
-echo "d,0.403000,0.006760,0,0.0,0.0,0.0"
+echo "d,0.403000,0.006760,0,0,0.0,0.0,0.0"
miniterm.py $(${SCRIPTDIR}/find_ActivityBoard.sh) 115200
| bash |
d_bash_22507 | ---
+++
@@ -32,6 +32,7 @@
done
for variant in onbuild; do
+ commit="$(git log -1 --format='format:%H' "$version/$variant")"
echo
for va in "${versionAliases[@]}"; do
if [ "$va" = 'latest' ]; then | bash |
d_bash_22508 | ---
+++
@@ -18,7 +18,7 @@
source $HUB/jab/__init__.sh
-echo JABm $JAB
+echo JAB is $JAB
export PS1="\$? [\u@\h:\$PWD]\n$ "
@@ -30,5 +30,5 @@
# set -x
jj
+# set +x
sp
-# set +x | bash |
d_bash_22509 | ---
+++
@@ -5,6 +5,6 @@
# Build for Linux, statically linked
echo Building load app $GOPATH/src/$PROJECT
docker run --rm --name golang -v $GOPATH/src:/go/src golang:alpine /bin/sh -l -c \
- "cd /go/src/$PROJECT; GCGO_ENABLED=0 /usr/local/go/bin/go build -v -i"
+ "cd /go/src/$PROJECT; CGO_ENABLED=0 /usr/local... | bash |
d_bash_22510 | ---
+++
@@ -12,13 +12,13 @@
# Download and install the Loris code itself
apt-get install -y unzip wget
wget https://github.com/loris-imageserver/loris/archive/development.zip
-unzip v2.1.0-final.zip
-rm v2.1.0-final.zip
+unzip development.zip
+rm development.zip
apt-get remove -y unzip wget
# Required or setup... | bash |
d_bash_22511 | ---
+++
@@ -7,4 +7,4 @@
echo -n "Please input a keyword.>>>"
read KEY
-echo $KEY >.keytest
+echo $KEY >.key | bash |
d_bash_22512 | ---
+++
@@ -4,6 +4,6 @@
version=$( cat artifactory-repo/build-info.json | jq -r '.buildInfo.modules[0].id' | sed 's/.*:.*:\(.*\)/\1/' )
-java -jar /spring-boot-release-scripts.jar publishToSdkman $RELEASE_TYPE $version $BRANCH || {exit 1;}
+java -jar /spring-boot-release-scripts.jar publishToSdkman $RELEASE_TYPE... | bash |
d_bash_22513 | ---
+++
@@ -9,7 +9,7 @@
source ~/.shell/aliases.sh
# enable ls colors
-if ls --color=auto 2> /dev/null; then
+if ls --color=auto &> /dev/null; then
alias ls="ls --color=auto"
else
export CLICOLOR=1 | bash |
d_bash_22514 | ---
+++
@@ -8,5 +8,6 @@
for PATTERN in .cvs .git .hg .svn; do
GREP_OPTIONS+="--exclude-dir=$PATTERN "
done
-export GREP_OPTIONS+='--color=auto '
+GREP_OPTIONS+="--color=auto"
+export GREP_OPTIONS="$GREP_OPTIONS"
export GREP_COLOR='1;32' | bash |
d_bash_22515 | ---
+++
@@ -35,10 +35,10 @@
#------------------
printf '%b\n' ":: Searching for "$CONTAINER_NAME" container..."
-CONTAINER_ID=$(docker ps -q --filter="name="$CONTAINER_NAME"")
+CONTAINER_ID=$(docker ps -qa --filter="name="$CONTAINER_NAME"")
if [ -z "$CONTAINER_ID" ]; then
- err ""$CONTAINER_NAME" not running"... | bash |
d_bash_22516 | ---
+++
@@ -4,8 +4,8 @@
# The script will stop on any error (set -e) and echo each line first (set -x)
set -ex
-wget https://github.com/jasonkliu/DummyAPI-YalePublic/archive/1.0.tar.gz
-tar xvfz 1.0.tar.gz
+wget https://github.com/jasonkliu/DummyAPI-YalePublic/archive/1.1.tar.gz
+tar xvfz 1.1.tar.gz
-cp -iv Dum... | bash |
d_bash_22517 | ---
+++
@@ -13,5 +13,15 @@
insert into total_records (count) select 0 where not exists (select count from total_records);
insert into total_entries (count) select 0 where not exists (select count from total_entries);
+insert into current_entry_number(value)
+ select (
+ select case
+ when (select max(ent... | bash |
d_bash_22518 | ---
+++
@@ -10,5 +10,5 @@
echo -n "Running oso-centos7-saml-sso... "
-docker run -ti --net=host --rm=true --name saml-sso oso-centos7-saml-sso $@
+sudo docker run -ti --net=host --rm=true --name saml-sso oso-centos7-saml-sso $@
echo "Done." | bash |
d_bash_22519 | ---
+++
@@ -11,4 +11,7 @@
alias rename="$SCRIPT_PATH/imageRenamer.rb"
alias xc="$SCRIPT_PATH/xcworkspace.rb"
-source "$SCRIPT_PATH/z/z.sh"
+if [[ -e "$SCRIPT_PATH/z/z.sh" ]];then
+ export _Z_EXCLUDE_DIRS="/Volumes"
+ source "$SCRIPT_PATH/z/z.sh"
+fi | bash |
d_bash_22520 | ---
+++
@@ -1,3 +1,13 @@
+function clip() {
+ type=`file "$1"|grep -c text`
+ if [ $type -gt 0 ]; then
+ cat "$@"|pbcopy
+ echo "Contents of $1 are in the clipboard."
+ else
+ echo "File \"$1\" is not plain text."
+ fi
+}
+
function any() { # grep through running processes
emulate -L zsh
unset... | bash |
d_bash_22521 | ---
+++
@@ -11,8 +11,8 @@
# Compton config is at ~/.config/compton.conf
compton --backend glx &
-# Set wallpaper
-feh --bg-scale ~/Wallpapers/021\ -\ 7sHZDxH.jpg
+# Set random wallpaper
+feh --bg-scale ~/Wallpapers/`ls ~/Wallpapers | shuf -n 1`
# tray app
trayer --align right --widthtype request --height 18 -... | bash |
d_bash_22522 | ---
+++
@@ -1,3 +1,3 @@
ENVIRONMENT=$(echo "$DEPLOYMENT_GROUP_NAME" | tr '[:upper:]' '[:lower:]')
-echo "counters.${APPLICATION_NAME}.${ENVIRONMENT}.inf.deployment:1|c"
-echo "counters.${APPLICATION_NAME}.${ENVIRONMENT}.inf.deployment:1|c" | nc -u -w0 127.0.0.1 8125
+echo "${APPLICATION_NAME}.${ENVIRONMENT}.inf.depl... | bash |
d_bash_22523 | ---
+++
@@ -6,6 +6,7 @@
sudo add-apt-repository -y ppa:ubuntu-toolchain-r/test
sudo add-apt-repository -y ppa:george-edison55/cmake-3.x
+sudo add-apt-repository -y ppa:chris-lea/libsodium
sudo apt-get update
| bash |
d_bash_22524 | ---
+++
@@ -6,7 +6,8 @@
echo [`date +"%T"`] "### Lynis Report ###"
echo [`date +"%T"`] "===---------------------------------------------------------------==="
-while ./lynis --quite cd > /dev/null; do sleep 1; done
+./lynis -c --cronjob > /dev/null &
+wait $!
if [ -f $REPORT_LOCATION ];
then | bash |
d_bash_22525 | ---
+++
@@ -23,3 +23,10 @@
#Equivalent with redirecting input
sed -n '1,15p' < input-file.txt > selected-lines.txt
checkSelectedLines "sed -n '1,15p'"
+
+#Select only lines 1 to 15
+awk 'NR <= 15 { print $0 }' input-file.txt > selected-lines.txt
+checkSelectedLines "awk 'NR <= 15 { print $0 }'"
+ #Equivalent with ... | bash |
d_bash_22526 | ---
+++
@@ -3,6 +3,8 @@
cd $HOME/try_gluon
+# The lock file may have been updated so reset it before pulling new changes
+git checkout Cargo.lock
git pull origin master --ff-only
cargo update -p https://github.com/gluon-lang/gluon
| bash |
d_bash_22527 | ---
+++
@@ -5,7 +5,7 @@
current_commit=$(git -C lattice-release rev-parse -q --verify HEAD)
latest_release_commit=$(git -C version-changes rev-parse -q --verify HEAD)
latest_release_tag=$(git -C version-changes describe)
-latest_release_brand=$(cat version-changes/VERSION)
+latest_release_brand=v$(cat version-chan... | bash |
d_bash_22528 | ---
+++
@@ -8,7 +8,7 @@
# some vars to make this easy to change
SELENIUM_HUB_URL='http://127.0.0.1:4444'
SELENIUM_JAR=/usr/share/selenium/selenium-server-standalone.jar
-SELENIUM_DOWNLOAD_URL=http://selenium-release.storage.googleapis.com/2.44/selenium-server-standalone-2.44.0.jar
+SELENIUM_DOWNLOAD_URL=http://sel... | bash |
d_bash_22529 | ---
+++
@@ -13,9 +13,4 @@
/usr/lib/qubes/cleanup-dispvms
# Hide mounted devices from qubes-block list (at first udev run, only / is mounted)
-for dev in `xenstore-list /local/domain/0/qubes-block-devices 2> /dev/null`; do
- ( eval `udevadm info -q property -n $dev|sed -e 's/\([^=]*\)=\(.*\)/export \1="\2"/'`;
... | bash |
d_bash_22530 | ---
+++
@@ -2,3 +2,4 @@
s3crets -s input/secrets -j input/
echo "\nShowing expected output on the left and actual output on the right\n"
diff -y expected_output.json input/node.new.json
+rm input/node.new.json | bash |
d_bash_22531 | ---
+++
@@ -16,6 +16,6 @@
while read infile ; do
echo ==== $annotate $infile...
# echo "$annotate -in $infile"|$onceonly -in $infile --out $infile.snv1 --out $infile.snv2 --pfff -d . -v
- echo "$annotate -in $infile"|$onceonly -in $infile --out $infile.snv1 --out $infile.snv2 --pbs '-q veryshort' --pbs-type S... | bash |
d_bash_22532 | ---
+++
@@ -1,12 +1,12 @@
#!/usr/bin/env bash
print_help() {
- echo "useage: $0 {string}"
- echo -e "\tto search only ./home and ./hosts"
+ echo "useage: $0 {string}"
+ echo -e "\tto search only ./home and ./hosts"
}
-if [[ $# -eq 0 ]] ; then
- print_help
+if [[ $# -eq 0 ]]; then
+ print_help
fi
... | bash |
d_bash_22533 | ---
+++
@@ -8,7 +8,7 @@
service isc-dhcp-server restart
# Setup tftp
-cp tftpd-hpa /etc/default/tftp-hpa
+cp tftpd-hpa /etc/default/tftpd-hpa
ln -sf /usr/lib/ipxe/undionly.kpxe /srv/tftp/undionly.kpxe
service tftpd-hpa restart
| bash |
d_bash_22534 | ---
+++
@@ -2,13 +2,24 @@
set -e
cd /tmp
-LINK_NODE8=http://nodejs.org/dist/latest-v8.x/
-DOWNLOAD_NODE8=$(curl -s $LINK_NODE8 | grep -o '<a .*href=.*>' | sed -e 's/<a /\<a /g' | sed -e 's/<a .*href=['"'"'"]//' -e 's/["'"'"'].*$//' -e '/^$/ d' | grep 'linux' | grep "x64" | grep ".tar.gz")
-LINK_NODE8=$LINK_NODE8$... | bash |
d_bash_22535 | ---
+++
@@ -15,7 +15,7 @@
## Decrypt into place
if [ $file -nt ~/$decfile ]; then
echo Decrypting ~/$decfile
- gpg --quiet --batch --yes --decrypt --output ~/$decfile $file
+ gpg --quiet --yes --decrypt --output ~/$decfile $file
else
echo Skip... | bash |
d_bash_22536 | ---
+++
@@ -6,7 +6,5 @@
mv /harbor_resources/node_modules ./
-npm install
+npm install -q --no-progress
npm run test > ./npm-ut-test-results
-
- | bash |
d_bash_22537 | ---
+++
@@ -5,4 +5,8 @@
touch "$1"
fi
-open -a `brew --prefix emacs`/Emacs.app "$1"
+if [ -e $(brew --prefix --HEAD emacs)/Emacs.app ]; then
+ open -a `brew --prefix --HEAD emacs`/Emacs.app "$1"
+else
+ open -a `brew --prefix emacs`/Emacs.app "$1"
+fi | bash |
d_bash_22538 | ---
+++
@@ -1,6 +1,7 @@
#!/usr/bin/env bash
set -ex
+cd "$( dirname "${BASH_SOURCE[0]}" )/.."
bundle exec rspec --tag ~fly
pushd dockerfiles/depwatcher
@@ -9,3 +10,5 @@
popd
bundle exec rake
+
+rm -rf source-*-latest | bash |
d_bash_22539 | ---
+++
@@ -10,7 +10,7 @@
fi
if [[ $versions == \** ]]; then
- version_name=`echo $versions | cut -d' ' -f1`
+ version_name=`echo $versions | awk '{ print $2 }'`
else
version_name=`echo $versions | awk '{ print $1 }'`
fi
@@ -26,23 +26,23 @@
function ppyenv() {
language_name='Python'
fo... | bash |
d_bash_22540 | ---
+++
@@ -9,14 +9,6 @@
filename="${filename%.*}"
for i in "${file_exts[@]}"; do
- if [[ $filename == flextGL* ]]; then
- echo "Skipping $1"
- return 1
- fi
- if [[ $filename == Remotery* ]]; then
- echo "Skipping $1"
- return 1
- fi
if [ ".$extension" == "$i" ]; then
#echo "$1 is valid"
... | bash |
d_bash_22541 | ---
+++
@@ -1,29 +1,27 @@
#!/bin/bash
-# TODO: Ugly and unsafe, fix!
-pkill -f afl-fuzz
-pkill -f afl-fuzz
-pkill -f afl-fuzz
-pkill -f afl-fuzz
-
echo ""
-echo "[-] Starting $(nproc) fuzzers:"
+echo "[-] Starting fuzzers:"
echo ""
# Start master fuzzer
-#tmux new-session -d "/fuzz/tmpfs/fuzz_master.sh"
-scre... | bash |
d_bash_22542 | ---
+++
@@ -29,4 +29,6 @@
{% if constraint -%}
#SBATCH --constraint={{constraint}}
{% endif -%}
-
+{% if unbuffered is not defined or unbuffered -%}
+#SBATCH --unbuffered
+{% endif -%} | bash |
d_bash_22543 | ---
+++
@@ -4,15 +4,5 @@
echo "cleaning up dhcp leases"
rm /var/lib/dhcp/*
-# Make sure Udev doesn't block our network
-echo "cleaning up udev rules"
-rm /etc/udev/rules.d/70-persistent-net.rules
-mkdir /etc/udev/rules.d/70-persistent-net.rules
-rm -rf /dev/.udev/
-rm /lib/udev/rules.d/75-persistent-net-generator... | bash |
d_bash_22544 | ---
+++
@@ -12,4 +12,4 @@
cat $tmpdir/*.txt | tools/dns_report.pl $tmpdir/hosts.csv
-grep $tmpdir/hosts.csv -e "^.*AKAMAI.*$" > $tmpdir/still_to_migrate.csv
+grep $tmpdir/hosts.csv -e "^.*AKAMAI.*$" > $tmpdir/still_to_migrate_to_fastly_cdn.csv | bash |
d_bash_22545 | ---
+++
@@ -1,8 +1,11 @@
#!/usr/bin/env sh
version=$(git tag -l | tail -n1 | sed -e s/^v//)
+branch="release/${version}"
+
+git checkout -b ${branch}
sed -i -e "s/\(const packageVersion =\).\+/\1 '${version}'/" test/ss_to_json.js
git add test/ss_to_json.js
git commit -m "Commit upgrade to v${version}"
-git p... | bash |
d_bash_22546 | ---
+++
@@ -12,6 +12,9 @@
VERSION="$2"
MAVEN_RELEASE_SETTINGS=${CD_DIR}/settings.xml
+GPG_TTY=$(tty)
+export GPG_TTY
+
if [ "${RELEASE_TYPE}" == "release" ] && [ ! -z "${VERSION}" ]; then
echo -e "[INFO] on a tag -> set pom.xml <version> to ${VERSION}" | bash |
d_bash_22547 | ---
+++
@@ -13,6 +13,10 @@
mkdir -p $OUTDIR
cp $DIR/* $OUTDIR
python publisher/build_paper.py $DIR $OUTDIR
+if [ "$?" -ne "0" ]; then
+ echo "Error building paper $DIR. Aborting."
+ exit 1
+fi
cd $OUTDIR
pdflatex paper.tex && pdflatex paper.tex
| bash |
d_bash_22548 | ---
+++
@@ -1,3 +1,3 @@
git remote add owo https://$GITLAB_USERNAME:$GITLAB_ACCESS_TOKEN@owo.codes/TTtie/tt.bot.git
-git push owo $TRAVIS_BRANCH >/dev/null 2>&1
+git push owo $TRAVIS_BRANCH #>/dev/null 2>&1
echo "Successfully pushed to OwO" | bash |
d_bash_22549 | ---
+++
@@ -12,9 +12,13 @@
# Home/End
bindkey 'OH' beginning-of-line
bindkey 'OF' end-of-line
+bindkey '[1~' beginning-of-line
+bindkey '[4~' end-of-line
# Ctrl Left/Right (^[[1;5D & ^[[1;5C)
bindkey '[1;5D' backward-word
bindkey '[1;5C' forward-word
+bindkey 'OD' backward-word
+bindkey 'OC' forward-w... | bash |
d_bash_22550 | ---
+++
@@ -10,4 +10,16 @@
execute "defaults write com.apple.appstore ShowDebugMenu -bool true" \
"Enable debug menu"
+execute "defaults write com.apple.commerce AutoUpdate -bool true" \
+ "Turn on auto-update"
+
+execute "defaults write com.apple.SoftwareUpdate AutomaticCheckEnabled -bool true" \
+ "En... | bash |
d_bash_22551 | ---
+++
@@ -1,17 +1,16 @@
#!/bin/sh
-if [ $# -eq 0 ]
+if [ $# -ne 2 ]
then
- echo "$0 top-dir"
+ echo "$0 fscq-repo top-dir"
exit 1
fi
-echo "=== app-bench $1 ==="
-cd $1
+echo "=== app-bench $1 $2 ==="
+cd $2
echo "=== git clone ==="
-# time -p git clone git@g.csail.mit.edu:fscq
-time -p gi... | bash |
d_bash_22552 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/sh
cd ..
-rm -rf AUTHORS Axon COPYING dist/ Docs/ Examples/ Kamaelia MANIFEST Tools/ Axon.CHANGELOG Kamaelia.CHANGELOG setup.py Axon.README Kamaelia.README
+rm -rf AUTHORS Axon COPYING dist/ Docs/ Examples/ Kamaelia MANIFEST Tools/ Axon.CHANGELOG Kamaelia.CHANGELOG setup.py Axon.R... | bash |
d_bash_22553 | ---
+++
@@ -13,11 +13,17 @@
fi
echo "Using BWA build directory $BWA_DIR"
-git clone "${BWA_REPO}" "${BWA_DIR}"
+if [ ! -d "${BWA_DIR}" ]; then
+ git clone "${BWA_REPO}" "${BWA_DIR}"
+ cd "${BWA_DIR}"
+ git checkout "${BWA_TAG}"
+else
+ echo "###########################################" >&2
+ echo " Reusing BWA d... | bash |
d_bash_22554 | ---
+++
@@ -25,8 +25,8 @@
diff -q reprozip/reprozip/utils.py reprounzip/reprounzip/utils.py
EOF
find reprozip reprounzip reprounzip-* .travis -name '*.py' -or -name '*.sh' -or -name '*.h' -or -name '*.c' | while read i; do
- T=$(file -i "$i")
- if ! ( echo "$T" | grep -q 'char... | bash |
d_bash_22555 | ---
+++
@@ -28,3 +28,13 @@
fi
${kubectl} create -f ${dir}/network-policy
+
+cat <<EOF | cilium -D policy import -
+{
+ "name": "io.cilium",
+ "rules": [{
+ "coverage": ["reserved:host"],
+ "allow": ["reserved:all"]
+ }]
+}
+EOF | bash |
d_bash_22556 | ---
+++
@@ -1,6 +1,6 @@
VERSION=1.6.0
TAR="https://neverball.org/neverball-${VERSION}.tar.gz"
-BUILD_DEPENDS=(freetype libjpeg libogg liborbital libpng libvorbis mesa sdl2 sdl2_ttf zlib)
+BUILD_DEPENDS=(freetype libjpeg libogg liborbital libpng libvorbis llvm mesa sdl2 sdl2_ttf zlib)
function recipe_version {
... | bash |
d_bash_22557 | ---
+++
@@ -2,36 +2,41 @@
# Set the GOPATH if it is not set or if is different when running as another user (sudo)
# export GOPATH=""
+
+PATH_SCRIPT="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+
+PATH_BUILD="$GOPATH/bin/dbf_release"
+mkdir -p $PATH_BUILD
# Linux
export GOOS="linux"
export GOARCH="... | bash |
d_bash_22558 | ---
+++
@@ -17,8 +17,9 @@
exit 1
fi
-DIRNAME=$(s3cmd ls s3://com.meteor.jenkins/ | perl -nle 'print $1 if m!/(installer-windows-.+-.+-.+--'$1'--.+)/!')
-RELEASE=$(echo $DIRNAME | perl -pe 's/^installer-windows-([^-]+)-.*$/$1/')
+# installer-windows--${METEOR_RELEASE}--${BUILD_ID}--${BUILD_NUMBER}--${GIT_COMMI... | bash |
d_bash_22559 | ---
+++
@@ -7,7 +7,7 @@
npm --version
# Install Angular-CLI
-npm install -g @angular/cli
+npm install -g @angular/cli@1.0.0
# Clone the starters and reference repositories
git clone -b template-starter $REPO template-starter-angular-forms | bash |
d_bash_22560 | ---
+++
@@ -7,8 +7,3 @@
echo "FRIGGING BOOTSTRAP: COMPILING DEV RELEASE"
echo "======================================================="
FRIG_ENV="production" webpack --progress --bail
-
-echo ""
-echo "FRIGGING BOOTSTRAP: COMPILING MINIFIED RELEASE"
-echo "======================================================="
-... | bash |
d_bash_22561 | ---
+++
@@ -20,7 +20,7 @@
echo '<meta http-equiv=refresh content=0;url=servo/index.html>' > doc/index.html
sudo pip install ghp-import
ghp-import -n doc
- git push -fq https://${TOKEN}@github.com/servo/doc.servo.org.git gh-pages
+ git push -f https://${TOKEN}@github.com/servo/doc.servo.... | bash |
d_bash_22562 | ---
+++
@@ -24,7 +24,7 @@
sed -e 's/ldconfig "$1"/ldconfig -C .\/ld.so.cache "$1"/' -i librarian.sh
# Build
-make -j$(getconf _NPROCESSORS_ONLN) -w
+make -j1
# Install
make install | bash |
d_bash_22563 | ---
+++
@@ -8,17 +8,10 @@
[ "$PLATFORM" == "pistorms" ]; then
apt-get update
-
- if [ "$(isInstalled libopencv2.4-java)" == "no" ]; then
- apt-get install --yes --no-install-recommends libopencv2.4-java
- fi
-
- if [ "$(isInstalled librxtx-java)" == "no" ]; then
- apt-get ins... | bash |
d_bash_22564 | ---
+++
@@ -11,6 +11,7 @@
trap 'pkill -P $$' EXIT
php --server localhost:8888 --docroot "$TESTDIR"/echo &
+sleep 1
if (( $debug ))
then | bash |
d_bash_22565 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/usr/bin/env bash
set -e
| bash |
d_bash_22566 | ---
+++
@@ -1,7 +1,7 @@
#! /bin/sh
if [[ -z "$1" ]]
then
- THREADS=1
+ THREADS=$(nproc --all)
else
THREADS=$1
fi | bash |
d_bash_22567 | ---
+++
@@ -2,4 +2,4 @@
alias migrate='rake db:migrate'
alias bbundle='bin/bundle'
alias brake='bin/rake'
-alias brails='bin/rake'
+alias brails='bin/rails' | bash |
d_bash_22568 | ---
+++
@@ -33,9 +33,13 @@
/opt/ansible-runtime/bin/ansible-playbook bootstrap-aio.yml \
-i test-inventory.ini
else
+ export BOOTSTRAP_OPTS_ITEMS=''
+ for BOOTSTRAP_OPT in ${BOOTSTRAP_OPTS}; do
+ BOOTSTRAP_OPTS_ITEMS=${BOOTSTRAP_OPTS_ITEMS}"-e "${BOOTSTRAP_OPT}" "
+ done
... | bash |
d_bash_22569 | ---
+++
@@ -6,16 +6,12 @@
docker image history --no-trunc --format '{{ .CreatedBy }}' "$@" \
| tac \
| sed -r 's!^/bin/sh[[:space:]]+-c[[:space:]]+(#[(]nop[)][[:space:]]+)?!!' \
- | awk '
- # ignore the first ADD of the base image (base image changes unnecessarily break our diffs)
- NR == 1 && $1 == "ADD" && $... | bash |
d_bash_22570 | ---
+++
@@ -1,6 +1,6 @@
set -e
-if [ $BUILD_CFFI == 1 ]; then
+if [ "$BUILD_CFFI" == "1" ]; then
echo "Building libgdf_cffi"
conda build conda-recipes/libgdf_cffi -c defaults -c conda-forge -c numba --python=${PYTHON}
fi | bash |
d_bash_22571 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash
required_command_exists() {
- command -v "$1" >/dev/null 2>&1 || { echo "$1 is required but is not installed. Aborting." >&2; exit 1; }
+ command -v "$1" &>/dev/null || { echo "$1 is required but is not installed. Aborting."; exit 1; }
}
required_command_exists docker | bash |
d_bash_22572 | ---
+++
@@ -12,8 +12,9 @@
if [[ $GROUP == tests ]]; then
# Run the JS and python tests
+ py.test
+ npm run build
npm test
- py.test
# Make sure we have CSS that can be converted with postcss
npm install -g postcss-cli
@@ -32,6 +33,7 @@
if [[ $GROUP == coverage ]]; then
# Run ... | bash |
d_bash_22573 | ---
+++
@@ -13,3 +13,6 @@
# Make SSH faster by not waiting on DNS
echo "UseDNS no" >> /etc/ssh/sshd_config
+
+# We might use virtio interfaces, undeclare Ethernet
+sed -i 's/^TYPE="Ethernet"/# &/' /etc/sysconfig/network-scripts/ifcfg-eth0 | bash |
d_bash_22574 | ---
+++
@@ -5,4 +5,7 @@
rm -rf $GHOST_CONTENT/themes
rm -f $GHOST_CONTENT/config.js
+chown -R user:user "$GHOST_CONTENT"
+chown -R user:user "$GHOST_SOURCE"
+
exec /entrypoint.sh $@ | bash |
d_bash_22575 | ---
+++
@@ -4,5 +4,5 @@
cd testmodel/webapp/selenium
-nosetests --verbose
+nosetests --verbose --with-flaky
| bash |
d_bash_22576 | ---
+++
@@ -9,5 +9,5 @@
-workspace "$WORKSPACE" \
-scheme "$SCHEME" \
-destination "$PLATFORM" \
- test \
- | xcpretty
+ -hideShellScriptEnvironment \
+ test | bash |
d_bash_22577 | ---
+++
@@ -1,3 +1,4 @@
#!/usr/bin/env bash
+GOOS=linux GOARCH=386 go generate ./...
GOOS=linux GOARCH=arm go build | bash |
d_bash_22578 | ---
+++
@@ -10,7 +10,10 @@
export MANPAGER='less -X'
# LS colors, made with https://geoff.greer.fm/lscolors/
+# Difference explained here: https://geoff.greer.fm/2008/06/27/lscolorsls_colors-now-with-linux-support/
+# For BSD/macOS
export LSCOLORS="eafxcxdxbxegedabagacad"
+# For Linux
export LS_COLORS="di=34;40... | bash |
d_bash_22579 | ---
+++
@@ -18,7 +18,7 @@
sudo apt-get -y install openjdk-8-jre
sudo update-alternatives --config java
# Install mesos and marathon
-sudo apt-get -y install mesos=1.0.0-1.0.73.rc2.ubuntu1404 marathon
+sudo apt-get -y install mesos=1.0.0-2.0.89.ubuntu1404 marathon
# Install docker
curl -sSL https://get.docker.... | bash |
d_bash_22580 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/bash -e
function log() {
d=$(date +'%Y-%m-%d %H:%M:%S') | bash |
d_bash_22581 | ---
+++
@@ -8,7 +8,6 @@
"github.com/nsf/gocode"
"github.com/golang/lint/golint"
"github.com/motemen/ghq"
- "rsc.io/gt"
# "github.com/motemen/gore"
)
| bash |
d_bash_22582 | ---
+++
@@ -1,5 +1,2 @@
-# remove stale pid files
-rm -f $APP_HOME/tmp/pids/resque-pool.pid > /dev/null 2>&1
-
# start the resque pool daemon
scripts/start_workers.sh | bash |
d_bash_22583 | ---
+++
@@ -5,6 +5,6 @@
bundle install --path "${HOME}/bundles/${JOB_NAME}" --deployment
bundle exec rake stats
-bundle exec rake test
+bundle exec rake ci:setup:testunit test
RESULT=$?
exit $RESULT | bash |
d_bash_22584 | ---
+++
@@ -13,7 +13,6 @@
touch $LOGS/log.1.txt
start_server --logs "log.*" --progs $PROGS
-sleep 1
uri_get /debug/vars
expect_json_field_eq "1" log_count "${DATA}" | bash |
d_bash_22585 | ---
+++
@@ -1,4 +1,6 @@
#!/bin/bash
+git checkout master .
+git reset --hard
git pull -f origin master
python3 fetch.py
git diff --exit-code bibs && exit 0 | bash |
d_bash_22586 | ---
+++
@@ -10,17 +10,20 @@
blocksize=$3
outfile=$4
DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
+tmpfile=tmp1-$RANDOM.txt
mkdir -p $tmpdir
cat $infile |\
parallel --block $blocksize -j95% --pipe --files --tempdir $tmpdir \
- awk '{print\ \$2\,\ \$3}' "|" sort "|" awk -f $DIR/mergecounted.awk >tmp1fi... | bash |
d_bash_22587 | ---
+++
@@ -14,12 +14,7 @@
FIFO=tmp
rm -f $FIFO
mkfifo $FIFO
-if which gtimeout >/dev/null; then
- TIMEOUT=gtimeout;
-else
- TIMEOUT=timeout
-fi
-$TIMEOUT 3 patgen $DICTIONARY_FILE $PATTERN_FILE $PATOUT_FILE $TRANSLATE_FILE <$FIFO &
+patgen $DICTIONARY_FILE $PATTERN_FILE $PATOUT_FILE $TRANSLATE_FILE <$FIFO &... | bash |
d_bash_22588 | ---
+++
@@ -18,9 +18,9 @@
./generate-jsdoc.sh
# Copy everything to the site.
- scp -r gallery common tests jsdoc experimental plugins $site \
+ rsync -avzr gallery common tests jsdoc experimental plugins $site \
&& \
- scp dygraph*.js gadget.xml excanvas.js thumbnail.png screenshot.png docs/* $site/
+ ... | bash |
d_bash_22589 | ---
+++
@@ -2,7 +2,7 @@
set -e
PRESENT_DIR="$PWD";
-cd "$(dirname ${BASH_SOURCE[0]})"/.. || exit 1
+cd "$(dirname ${BASH_SOURCE[0]})"/.. || exit 2
MVN_VERSION=$(mvn --quiet \
-Dexec.executable="echo" \
-Dexec.args='${project.version}' \
@@ -10,4 +10,4 @@
org.codehaus.mojo:exec-maven-plugin:1.3.1:e... | bash |
d_bash_22590 | ---
+++
@@ -4,7 +4,7 @@
PROJECTS="step-controller libserial libatom libplanar mxu11x0 planar-display \
planar-editor pui pui-keyboard pui-test mems-gyroscope simunit \
- uso-iso d2k-dask pci-dask pci429-4 libmysql-state kts25sm ece-0206"
+ uso-iso d2k-dask pci-dask pci429-4 libmysql-st... | bash |
d_bash_22591 | ---
+++
@@ -11,7 +11,7 @@
cookbookDir=$1
recipeName=$2
-sandboxDir=$PWD/.sandbox/
+sandboxDir=$PWD/.chef_one_sandbox/
sandboxCookbooksDir=$sandboxDir/cookbooks/
function prepareSandbox() { | bash |
d_bash_22592 | ---
+++
@@ -4,4 +4,4 @@
commit_message_file="$1"
# Pass if first line is less than or equal to 51 characters (50 + newline)
-test 51 -ge "$(< "$commit_message_file" head -n 1 | wc --chars)" && exit
+test 51 -ge "$(< "$commit_message_file" head -n 1 | wc -m)" && exit | bash |
d_bash_22593 | ---
+++
@@ -6,7 +6,7 @@
npm run build
# start db server
---dbpath /usr/local/var/mongodb/
+mongod --dbpath /usr/local/var/mongodb/
# migrate dbs
mongo birdAPI ./migration/mongo.provision.js | bash |
d_bash_22594 | ---
+++
@@ -6,7 +6,7 @@
prereq() {
PREREQS="build-essential cmake $1"
- if dpkg -l $PREREQS > /dev/null 2>&1; then
+ if dpkg -s $PREREQS > /dev/null 2>&1; then
echo -e "Prerequisites already installed: $PREREQS"
else
echo -e "[${blue}Installing prerequisites${NC}]"
@@ -21,7 +21,7 @@
else
... | bash |
d_bash_22595 | ---
+++
@@ -1,21 +1,18 @@
# Run with ./run-tests.sh
test_record() {
- (
- cd "$scratchdir"
- stbt-record -v -o test.py --control-recorder=file://<(
- sleep 1; echo gamut;
- sleep 1; echo checkers-8;
- sleep 1; echo smpte; sleep 1;)
- ) &&
- sed -e 's/0000-ga... | bash |
d_bash_22596 | ---
+++
@@ -1,5 +1,12 @@
#!/bin/bash
test ! -d dist -o ! -d tools && { echo "Please run tools/mkdist.sh from root folder" ; exit 1; }
+
+# make sure its built
+cd Engine/TestEngine
+ant || exit $?
+cd ../..
+
+# Build distribution package
cd dist
VERSION=0.1
DIST=ScriptDriver-$VERSION | bash |
d_bash_22597 | ---
+++
@@ -1,6 +1,6 @@
-if [[ ! "$SSH_TTY" ]] && which subl >/dev/null 2>&1; then
- export EDITOR='subl -w'
- export LESSEDIT='subl %f'
+if [[ ! "$SSH_TTY" ]] && which atom >/dev/null 2>&1; then
+ export EDITOR='atom --wait'
+ export LESSEDIT='atom %f'
else
export EDITOR=$(type emacs nano pico 2>/dev/null | ... | bash |
d_bash_22598 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
#
# Wrapper for executing admin commands on a virtual appliance
# | bash |
d_bash_22599 | ---
+++
@@ -6,7 +6,7 @@
revision_build=$4
RELEASE_TOOLS=$(readlink -f $(dirname $0))
jujud=$(find -path ./juju-build-$SERIES-amd64/juju-core-*/bin/jujud -type f)
-version=$(echo $jujud|sed -r "s/.\/juju-build-$SERIES-amd64\/juju-core-\
+version=$(echo $jujud|sed -r "s/.\/juju-build-$SERIES-$ARCH\/juju-core-\
(.*)... | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.